Skip to main content
POST
/
v2
/
payouts
/
recurring
/
{id}
Submit a recurring payment signature
curl --request POST \
  --url https://api.request.network/v2/payouts/recurring/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "permitSignature": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1b"
}
'
import requests

url = "https://api.request.network/v2/payouts/recurring/{id}"

payload = { "permitSignature": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1b" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
permitSignature: '0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1b'
})
};

fetch('https://api.request.network/v2/payouts/recurring/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Recurring payment activated successfully",
  "id": "01JXYJKCAHGFTDR15F2D072ESG",
  "status": "active"
}

Headers

x-api-key
string

API key for authentication (optional if using Client ID)

x-client-id
string

Client ID for frontend authentication (optional if using API key)

Origin
string

Origin header (required for Client ID auth, automatically set by browser)

Path Parameters

id
string
required

The ID of the recurring payment

Example:

"01JXYJKCAHGFTDR15F2D072ESG"

Body

application/json
permitSignature
string
required

The signature of the recurring payment permit.

Response

Recurring payment signature submitted successfully